function p = minkowski(p1, p2)
    % Returns minkowski sum of extreme point polytopes p and q. Only works
    % for two dimensions.
    narginchk(1, 2);
    if nargin() < 2
        p2 = [0; 0];
    end
    p = addpoints(p1, p2);
    ch = convhull(p(1,:), p(2,:));
    p = p(:,ch(2:end));