function plotXn(Xn, lims)
    % Plots a set of regions on the current axes.
    narginchk(1, 2);
    if nargin() >= 2
        axis(lims);
    end
    hold('on');
    if exist('viridis') == 2
        cmap = @viridis;
    elseif exist('parula') == 2
        cmap = @parula;
    else
        cmap = @jet;
    end
    colors = flipud(cmap(length(Xn)));
    for n = length(Xn):-1:1
        xn = Xn{n};
        for i = 1:length(xn)
            patch(xn{i}(1,:), xn{i}(2,:), -n*ones(1, size(xn{i}, 2)), ...
                  colors(n,:), 'EdgeColor', 'none');
        end
    end
    xlabel('T_1');
    ylabel('T_2', 'rotation', 0);