% Robust control of an exothermic reaction.

% Load parameters for problem.

pars = cstrparam();

% Run nominal MPC to generate reference trajectory for tube-based MPC.
pars.reftraj = nominalmpc(pars);

% Run both standard and tube-based MPC multiple times to generate figure.
Nsamples = 10; % Note that the figure in the text uses 100 samples.
pars.A_rand = 0.001*rand(Nsamples, 1);
pars.w_rand = rand(Nsamples, 1);
data = run_standardvstube(pars, pars, Nsamples);
