% Robust control of an exothermic reaction.

% Load parameters for problem.
pars = cstrparam();
pars.Q = 1/2;
pars.R = 5;

% Run nominal MPC to generate reference trajectory for tube-based MPC.
pars.reftraj = nominalmpc(pars);

% Create disturbances for the scenarios.
Nsamples = 10; % Note that the figure in the text uses 100 samples.
pars.A_rand = 0.001*rand(Nsamples, 1);
pars.w_rand = rand(Nsamples, 1);

% Different cost function for ancillary.
tubepars = pars;
tubepars.Q = 50;
tubepars.R = 1/20;

% Run both standard and tube-based MPC 100 times to generate figure.
data = run_standardvstube(pars, tubepars, Nsamples);
