function reftraj_resampled = resample_nominal(reftraj, Delta)
    % Resample the reference (central path) trajectory.

    t = reftraj.t;
    u = reftraj.u;
    x = reftraj.x;
    t0 = t(1);
    tf = t(end);
    tnew = (t0:Delta:tf)';

    % Interpolate to get new reference trajectories.
    unew = interp1(t(1:end-1), u', tnew, 'spline', 'extrap');
    xnew = interp1(t, x', tnew, 'spline', 'extrap');

    reftraj_resampled = struct();
    reftraj_resampled.t = tnew;
    reftraj_resampled.u = unew';
    reftraj_resampled.x = xnew';