function E = evolution(A, B, Nt)
    % Computes the state evolution matrix for N steps.
    [Nx, Nu] = size(B);
    E = zeros(Nt*Nx, Nt*Nu);
    e = [B, zeros(Nx, (Nt - 1)*Nu)];
    for k = 1:Nt
        i = ((k - 1)*Nx + 1):(k*Nx);
        E(i,:) = e;
        if k < Nt
            e = A*e;
            j = (k*Nu + 1):((k + 1)*Nu);
            e(:,j) = B;
        end
    end