function q = violationquantiles(x, v, logscale)
    % Plots quantiles of violation probability.
    narginchk(2, 3);
    if nargin() < 3
        logscale = true();
    end

    quantiles = [0.05, 0.25, 0.5, 0.75, 0.95];
    colors = jet(length(quantiles));
    q = quantile(squeeze(v), quantiles, 2);
    if logscale
        q = max(q, 1e-16);
        plotfunc = @loglog;
    else
        plotfunc = @semilogx;
    end
    figure();
    hold('on')
    for j = 1:length(quantiles)
        plotfunc(x, q(:,j), '-o', 'color', colors(j,:), ...
                 'DisplayName', sprintf('percentile %.0f', 100*quantiles(j)));
    end