function rhs = cstrode(x, u, pars)
    % Nonlinear ODE model for reactor.
    c = x(1);
    T = x(2);
    h = pars.h;

    Tc = u(1);
    F = pars.F;

    F0 = pars.F;

    k = pars.k0*exp(-pars.E/T);
    rate = k*c;

    dcdt = F0*(pars.c0 - c)/(pars.A*h) - rate;
    dTdt = F0*(pars.T0 - T)/(pars.A*h) ...
           - pars.DeltaH/pars.rhoCp*rate ...
           + 2*pars.U/(pars.r*pars.rhoCp)*(Tc - T);
    rhs = [dcdt; dTdt];