% Control of a nonlinear CSTR using nonlinear MPC and MHE.


wmaxes = [0, 0.001, 0.001, 0.01, 0.01, 0.025];
vmaxes = [0, 0.1, 1, 1, 10, 10];

data = cell(size(wmaxes));

% Define helper functions.



% Simulate with varying disturbance sizes.
fig = figure();
ax = zeros(length(wmaxes));
for i = 1:length(ax)
    ax(i) = subplot(2, 3, i);
end
for i = 1:length(wmaxes)
    data{i} = runcstr(wmaxes(i), vmaxes(i));
    axes(ax(i));
    plot(data{i}.x(1,:), data{i}.x(2,:), '-ok');
    title(sprintf('|w| < %g, |v| < %g', data{i}.wmax, data{i}.vmax));
    xlabel('c');
    ylabel('T', 'rotation', 0);
    axis([0.7, 1, 322, 338]);
end

