% Iterations of nonlinear system for N = 1.
sys = nonlinsys();

% Define objective function.
x = [3; -3];
V = @(u) sys.l(x, u) + sys.Vf(sys.f(x, u));

% Simulate projected gradient.
u0 = [0; 0];
[~, uiter] = distributedgradient(V, u0, sys.ulb, sys.uub);

% Get cost function contours.
[u1, u2] = meshgrid(linspace(-3, 2, 101), linspace(-3, 1, 81));
V = arrayfun(@(u1, u2) V([u1; u2]), u1, u2);

% Make a plot.
figure();
hold('on');
c = contour(u1, u2, V, 25);
plot(uiter(1,:), uiter(2,:), '-ok');

