function p = kerneldensity(xsamples, sigma, x)
    % Returns kernel density estimate at points x using samples in xsamples and
    % a Gaussian kernel with the given standard deviation.
    xsamples = xsamples(:);
    x = x(:)';
    den = sqrt(2*pi())*sigma*length(xsamples);
    pdf = @(x, mu) exp(-(x - mu).^2./(2*sigma.^2))./den;
    p = sum(bsxfun(pdf, x, xsamples));