function [z, id] = pwalookup(x, regions, feas)
    % [z, id] = pwalookup(x, regions, [feas])
    %
    % Returns optimal point z. If feas is provided, it should be a struct with
    % fields A and b to specify the feasible region. If not provided, all
    % regions will be searched if x is infeasible.
    z = [];
    id = '';
    if nargin() < 3 || all(feas.A*x - feas.b <= 0)
        for i = 1:length(regions)
            region = regions{i};
            if all(region.A*x <= region.b)
                z = region.Z*x + region.z0;
                id = region.id;
                found = true();
                break
            end
        end
    end